<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Login</title>
    <link rel="stylesheet" href="./css/login.css" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.6.8/axios.min.js"></script>
  </head>
  <body>
    <div class="container">
      <input type="checkbox" id="flip" />
      <div class="cover">
        <div class="front">
          <img src="login.jpg" alt="Login Image" />
        </div>
      </div>
      <div class="forms">
        <div class="form-content">
          <div class="login-form">
            <form id="loginForm">
              <div class="title">Login</div>
              <p style="color: blueviolet">Sign in to continue</p>
              <div class="input-boxes">
                <div class="input-box">
                  <input
                    id="emailInput"
                    type="text"
                    placeholder=".gcit@rub.edu.bt"
                    name="email"
                    required
                  />
                  <small id="email-error" class="error"></small>
                </div>
                <div class="input-box">
                  <input
                    id="passwordInput"
                    type="password"
                    placeholder="Enter your password"
                    name="password"
                    required
                  />
                  <small id="password-error" class="error"></small>
                </div>
                <div class="text"><a href="#">Forgot password?</a></div>
                <button
                  type="submit"
                  id="login"
                  style="padding: 5px"
                  class="button"
                >
                  Login
                </button>
              </div>
              <div class="text sign-up-text">
                New Here? <a href="/signup">Signup now</a>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
    <script>
      document.addEventListener("DOMContentLoaded", () => {
        const loginForm = document.getElementById("loginForm");

        loginForm.addEventListener("submit", async (e) => {
          e.preventDefault();
          const email = document.getElementById("emailInput").value;
          const password = document.getElementById("passwordInput").value;

          try {
            const res = await axios.post("http://localhost:6969/userdb/login", {
              email,
              password,
            });

            if (res.status === 200) {
              const token = res.data.token;
              localStorage.setItem("jwt", token);
              // alert("Login successful!");
              // Optionally, redirect the user or store the token in localStorage/cookies
              window.location.href = "/tournamentEvents"; // Redirect to a dashboard or home page
            }
          } catch (err) {
            console.error(err);
            alert("Login failed: " + err.response.data.error);
          }
        });
      });
    </script>
 </body>
</html>
